import { lan } from "@/utils/config";

export default [
  {
    path: '/:locale' + lan + '?/my-trade',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/myTrade'),
    name: 'myTrade',
    meta: { mustLogin: true, socket: true }
  },
  {
    path: '/:locale' + lan + '?/my-copy',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/myCopy'),
    name: 'myCopy',
    meta: { mustLogin: true, socket: true }
  },
  {
    path: '/:locale' + lan + '?/copy/follows/:type?',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/following'),
    name: 'follows',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/copy-profit',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/profitDetails'),
    name: 'profitDetails',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/copy/detail/:id',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/copyDetail'),
    name: 'copyDetail',
    meta: { mustLogin: true, socket: true }
  },
  {
    path: '/:locale' + lan + '?/trade/detail/:id',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/tradeDetail'),
    name: 'tradeDetail',
    meta: { socket: true }
  },
  {
    path: '/:locale' + lan + '?/copy/alter/:id',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/alterCopy'),
    name: 'alterCopy',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/apply/copy/:id',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/applyCopy'),
    name: 'applyCopy',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/apply/copy/success/:id',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/applyCopy/success.vue'),
    name: 'applySuccess',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/copy',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/register/home.vue'),
    name: 'registerHome',
    meta: { mustLogin: true }
  },
  {
    path: '/:locale' + lan + '?/copy/register',
    component: () => import(/* webpackChunkName: "follow" */ '@/view/copyTrade/register'),
    name: 'register',
    meta: { mustLogin: true }
  },
]